@import
url(https://fonts.googleapis.com/css2?family=Marcellus&display=swap);

*{
  margin: 0;
  padding: 0;
}
.shippori-mincho-b1-regular {
  font-family: "Shippori Mincho B1", serif;
  font-weight: 400;
  font-style: normal;
}
html {
  text-decoration: none;
  font-family: "Shippori Mincho B1";
  color: white;
  font-size: 21px;
  background-color: black;
  text-orientation: upright;
  max-width: 100%;
}

/* 小アイコン */
.ghlogo {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 60px;
  top: 30px;
  right: 50px;
  z-index: 999;
}

/* ナビゲーションメニュー */
nav {
  /* 上部に固定する場合 */
  position: fixed;
  top: 30px;
  left: 0;
  width: 100%;
  z-index: 100; /* 他の要素より前面に表示 */
  transition: 0.5s;
  width: 100vw;
}
nav ul {
  list-style: none; /* リストの点を削除 */
  margin: 0;
  padding: 0;
  text-align: center; /* 中央揃え */
  transition:all 0.3s;
  width: 100vw;
}
nav li {
  display: inline-block; /* 横並びにする */
  margin: 0 10px; /* 左右に余白 */
  transition:all 0.3s;
}
nav a {
  text-decoration: none; /* デフォルトの下線を削除 */
  padding-bottom: 2px; /* 下線のスペースを確保 */
  border-bottom: 2px solid transparent; /* 下線 (初期状態は透明) */
  transition: border-color 0.3s ease;
  color: #ffffff;
  transition:all 0.3s;
}
nav a:hover {
  border-color: #ffffff; /* ホバー時に下線を表示 */
}

/* トップページ */
.pagewrpMainImage__logo {
  width: 40%;
  position: absolute;
  margin: 0 0 0 0 ;
  z-index: 10000;
  text-align:center;
  padding:300px 0;
}
.logosv img {
  width: 120px;
}
.headerbox {
  position: relative;
  width: 100%;
  height: 100vh;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  /* animation-name: fadeIn; */
  /* animation-duration: 2s; */
  /* animation-fill-mode: both; */
}
.slider {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  position: relative;
  max-width: 100%;
}
.slider div {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  z-index: 10;
  opacity: 0;
  animation-name: slide-fade;
  animation-duration: 20s; /* 2枚のスライドに合わせて時間を調整 */
  animation-iteration-count: infinite;
}
@keyframes slide-fade {
  0%{
    opacity: 0;
  }
  45%{ /* 2枚のスライドに合わせてタイミングを調整 */
    opacity: 1;
  }
  55%{ /* 2枚のスライドに合わせてタイミングを調整 */
    opacity: 0;
  }
  100%{
    opacity: 0;
    z-index: 0;
  }
}
.slider div:first-of-type{
  background-image: url(./img/img7.jpg);
}
.slider div:nth-of-type(2){
  background-image: url(./img/onsen.jpg);
  animation-delay: 10s; /* 全体の時間の半分 */
}

/*----------------------------
scroll_left ｜左から出現
----------------------------*/
.scroll_left {
    -webkit-transition: 0.8s ease-in-out;
    -moz-transition: 0.8s ease-in-out;
    -o-transition: 0.8s ease-in-out;
    transition: 0.8s ease-in-out;
    transform: translateX(-30px);
    opacity: 0;
    filter: alpha(opacity=0);
    -moz-opacity: 0;
}
.scroll_left.on {
    opacity: 1.0;
    filter: alpha(opacity=100);
    -moz-opacity: 1.0;
    transform: translateX(0);
}
/*----------------------------
scroll_right ｜右から出現
----------------------------*/
.scroll_right {
    -webkit-transition: 0.8s ease-in-out;
    -moz-transition: 0.8s ease-in-out;
    -o-transition: 0.8s ease-in-out;
    transition: 0.8s ease-in-out;
    transform: translateX(30px);
    opacity: 0;
    filter: alpha(opacity=0);
    -moz-opacity: 0;
}
.scroll_right.on {
    opacity: 1.0;
    filter: alpha(opacity=100);
    -moz-opacity: 1.0;
    transform: translateX(0);
}

/*------------------------*/

/* ローディング */
.loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 10002;
  background-color: #cac7be;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: fadeOut 1.5s 4.5s forwards;
}
@keyframes fadeOut {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    visibility: hidden;
  }
}

.loading__logo {
  opacity: 0;
  animation: logo_fade 2s 0.5s forwards;
  width: 350px;
  position: absolute;
}
@keyframes logo_fade {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }

  60% {
    opacity: 1;
    transform: translateY(0);
  }

  100% {
    opacity: 0;
  }
}

.loading__logo2 {
  opacity: 0;
  animation: logo_fade 2s 2.5s forwards;
  width: 175px;
}
@keyframes logo_fade {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }

  60% {
    opacity: 1;
    transform: translateY(0);
  }

  100% {
    opacity: 0;
  }
}

/* -----メイン----- */

.sectionbox {
  text-align: center;
  writing-mode: vertical-rl;
  position: relative;
  width: 100%;
  height: 110vh;
}
.sectionbox>h1 {
 font-size: 30px;
}

/* おもてなし */
.omotenashi {
  position: absolute;
  display: grid;
  gap: 30px;
  top: 320px;
  right: 320px;
  font-feature-settings: "vpal";
  line-height: 2em;
  text-align: justify;
  height: 300px;
}
.omotenashi h1 {
  font-size: 28px;
}
.omotenashi p {
  font-size: 19px;
}

/* お部屋 */
.oheya {
  position: absolute;
  display: grid;
  gap: 25px;
  top: 320px;
  right: 210px;
  font-feature-settings: "vpal";
  line-height: 2em;
  text-align: justify;
  height: 330px;
}
.oheya h1 {
  font-size: 28px;
}
.oheya h2 {
  font-size: 21px;
}
.oheya p {
  font-size: 19px;
}

/* 交通 */
.koutsu {
  position: absolute;
  display: grid;
  gap:  20px;
  top: 300px;
  right: 230px;
  font-feature-settings: "vpal";
  line-height: 1.9em;  /* 行間 */
  text-align: justify;
  height: 400px;
}
.koutsu h1 {
  font-size: 28px;
}
.koutsu h2 {
  font-size: 25px;
}
.koutsu h3 {
  font-size: 20px;
}
.koutsu p {
  font-size: 19px;
}
.map {
  font-size: 18px;
  text-decoration: none;
  color: #ffffff;
  border: #ffffff 1.5px solid;
  padding: 9px;
  border-radius: 50px;
}
.map:hover {
  color: #c7c7c7;
  border: #c7c7c7 1.5px solid;
}

/* 予約 */
.yoyaku {
  position: absolute;
  display: grid;
  gap: 15px;
  top: 290px;
  right: 200px;
  font-feature-settings: "vpal";
  line-height: 1.8em;
  text-align: justify;
  height: 350px;
}
.yoyaku h1 {
  font-size: 28px;
}
.yoyaku h2 {
  font-size: 22px;
}
.yoyaku h3 {
  font-size: 19px;
}
.yoyaku p {
  font-size: 19px;
}
.denwa {
  color: #fff;
}
.reserv {
  font-size: 20px;
  text-decoration: none;
  color: #ffffff;
  border: #ffffff 1.5px solid;
  padding: 9px;
  border-radius: 50px;
}
.reserv:hover {
  color: #c7c7c7;
  border: #c7c7c7 1.5px solid;
}

/* お知らせ */
.info {
  position: absolute;
  display: grid;
  gap: 13px;
  top: 290px;
  right: 170px;
  font-feature-settings: "vpal";
  line-height: 1.8em;
  text-align: justify;
  height: 400px;
}
.info h1 {
  font-size: 28px;
}
.info h2 {
  font-size: 20px;
}
.info p {
  font-size: 17px;
}

/* ↓フッター */
footer {
  font-size: 15px;
  padding: 20px;
  text-align: center;
}
.footer-content {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
.footer-content > div {
  margin-bottom: 20px;
}
footer .links ul li a {
  color: #fff;
  text-decoration: none;
}
footer .links ul li a:hover {
  color: rgb(96, 116, 149);
}
footer .links ul {
    list-style: none;
}

/* おもてなし */
#profile .sectionbox {
  background-image: url("img/img2.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
/* お部屋 */
#rooms .sectionbox {
  background-image: url("img/img5.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
/* 交通 */
#worksmenu .sectionbox {
  background-image: url("img/img6.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
/* 予約 */
#exhibition .sectionbox {
  background-image: url("img/img4.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
/* お知らせ */
#oshirase .sectionbox {
  background-image: url("img/img8.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

/* ーーーーここまでーーーー */